function ExecuteScript(strId)
{
  switch (strId)
  {
      case "6r0odqAmueh":
        Script1();
        break;
      case "6lfwoQ7ses7":
        Script2();
        break;
      case "6BhV9KveM5y":
        Script3();
        break;
  }
}

function Script1()
{
  var player = GetPlayer();
var text = player.GetVar('TextEntry1');
var score = 0;
var pos = text.toLowerCase().indexOf('fatty acid metabolism');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('fatty acid metabolism', pos + 1);
}
pos = text.toLowerCase().indexOf('pathways');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('pathways', pos + 1);
}
pos = text.toLowerCase().indexOf('lecture');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('lecture', pos + 1);
}
pos = text.toLowerCase().indexOf('study');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('study', pos + 1);
}
pos = text.toLowerCase().indexOf('outline');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('outline', pos + 1);
}
pos = text.toLowerCase().indexOf('question');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('question', pos + 1);
}
pos = text.toLowerCase().indexOf('application');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('application', pos + 1);
}
pos = text.toLowerCase().indexOf('application');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('application', pos + 1);
}
pos = text.toLowerCase().indexOf('anki');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('anki', pos + 1);
}
pos = text.toLowerCase().indexOf('understand');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('understand', pos + 1);
}
pos = text.toLowerCase().indexOf('information');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('information', pos + 1);
}
pos = text.toLowerCase().indexOf('skip a few');
while (pos !== -1) {
score++;
pos= text.toLowerCase().indexOf('skip a few', pos + 1);
}
player.SetVar("Points",score);
}

function Script2()
{
  var player = GetPlayer();
var text = player.GetVar('TextEntry2');
var score = 0;
var pos = text.toLowerCase().indexOf('fatty acid metabolism');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('fatty acid metabolism', pos + 1);
}
pos = text.toLowerCase().indexOf('pathway');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('pathway', pos + 1);
}
pos = text.toLowerCase().indexOf('details');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('details', pos + 1);
}
pos = text.toLowerCase().indexOf('steps');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('steps', pos + 1);
}
pos = text.toLowerCase().indexOf('anki');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('anki', pos + 1);
}
pos = text.toLowerCase().indexOf('application');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('application', pos + 1);
}
pos = text.toLowerCase().indexOf('concept');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('concept', pos + 1);
}
pos = text.toLowerCase().indexOf('review');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('review', pos + 1);
}
pos = text.toLowerCase().indexOf('practice');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('practice', pos + 1);
}
pos = text.toLowerCase().indexOf('question');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('question', pos + 1);
}
pos = text.toLowerCase().indexOf('skip a few');
while (pos !== -1) {
score++;
pos= text.toLowerCase().indexOf('skip a few', pos + 1);
}
player.SetVar("Points",score);
}

function Script3()
{
  var player = GetPlayer();
var text = player.GetVar('TextEntry3');
var score = 0;
var pos = text.toLowerCase().indexOf('concept');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('concept', pos + 1);
}
pos = text.toLowerCase().indexOf('appointment');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('appointment', pos + 1);
}
pos = text.toLowerCase().indexOf('week');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('week', pos + 1);
}
pos = text.toLowerCase().indexOf('learning specialist');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('learning specialist', pos + 1);
}
pos = text.toLowerCase().indexOf('method');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('method', pos + 1);
}
pos = text.toLowerCase().indexOf('practice');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('practice', pos + 1);
}
pos = text.toLowerCase().indexOf('test');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('test', pos + 1);
}
pos = text.toLowerCase().indexOf('question');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('question', pos + 1);
}
pos = text.toLowerCase().indexOf('continue');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('continue', pos + 1);
}
pos = text.toLowerCase().indexOf('review');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('review', pos + 1);
}
pos = text.toLowerCase().indexOf('understand');
while (pos !== -1) {
score++;
pos = text.toLowerCase().indexOf('understand', pos + 1);
}
pos = text.toLowerCase().indexOf('skip a few');
while (pos !== -1) {
score++;
pos= text.toLowerCase().indexOf('skip a few', pos + 1);
}
player.SetVar("Points",score);
}

